Get Giving Pool

Retrieve a Giving Pool with the given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique ID of the Giving Pool.

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for this Giving Pool.
namestring
The display name of the Giving Pool. This is the name that the Donor will see when they are selecting a Giving Pool in DAFpay.
donor_account_idstring

The ID of the Donor Account this Giving Pool belongs to.

created_atstringRead-onlyformat: "date-time"
Time when this object was created, expressed in RFC 3339 format.
updated_atstringRead-onlyformat: "date-time"
Time when this object was last updated, expressed in RFC 3339 format.
metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error